## gplanarity 11496

=== Makefile ===
# Fuck Automake
# Fuck the horse it rode in on
# and Fuck its little dog Libtool too

TARGET  = gPlanarity
CC      = gcc 
LD      = gcc
INSTALL = install
STRIP   = strip
PREFIX  = /usr/local
BINDIR  = $(PREFIX)/bin
ETCDIR  = /etc/$(TARGET)
MANDIR  = $(PREFIX)/man

# the very long LIBS entry is to build an executable that will
# work for on most modern linux distros without any of the
# bleeding-edge GTK 2.7/2.8 libs installed.

SRC  = dialog_finish.c gameboard_logic.c dialog_pause.c gameboard_logic_button.c\
	gameboard.c gameboard_logic_buttonbar.c gameboard_draw_box.c\
	gameboard_logic_mouse.c gameboard_draw_button.c gameboard_logic_push.c\
	gameboard_draw_buttonbar.c graph.c gameboard_draw_curtain.c\
	graph_score.c graph_arrange.c gameboard_draw_edge.c graph_generate.c\
	gameboard_draw_intersection.c graph_generate_mesh1.c gameboard_draw_main.c\
	gameboard_draw_score.c main.c gameboard_draw_selection.c\
	timer.c gameboard_draw_vertex.c levelstate.c dialog_level.c\
	dialog_level_icons.c gameboard_draw_text.c random.c graph_generate_data.c\
	gameboard_logic_fade.c graph_generate_mesh2.c graph_region.c
OBJ  = dialog_finish.o gameboard_logic.o dialog_pause.o gameboard_logic_button.o\
	gameboard.o gameboard_logic_buttonbar.o gameboard_draw_box.o\
	gameboard_logic_mouse.o gameboard_draw_button.o gameboard_logic_push.o\
	gameboard_draw_buttonbar.o graph.o gameboard_draw_curtain.o\
	graph_score.o graph_arrange.o gameboard_draw_edge.o graph_generate.o\
	gameboard_draw_intersection.o graph_generate_mesh1.o gameboard_draw_main.o\
	gameboard_draw_score.o main.o gameboard_draw_selection.o\
	timer.o gameboard_draw_vertex.o levelstate.o dialog_level.o\
	dialog_level_icons.o gameboard_draw_text.o random.o graph_generate_data.o\
	gameboard_logic_fade.o graph_generate_mesh2.o graph_region.o
CAIROVER =  >= 1.0.0
GTKVER   =  >= 2.7.2
GCF  = `pkg-config --static --cflags "gtk+-2.0 $(GTKVER) cairo $(CAIROVER) freetype2"`
LDF  = `pkg-config --static --libs "gtk+-2.0 $(GTKVER) cairo $(CAIROVER) freetype2"`

# a build with static Gtk 2.7+ generally requires that all of the Gtk
# dependencies were built with static dependencies also pointing to
# the local install

SLDF  = `pkg-config --static --libs-only-L "gtk+-2.0 $(GTKVER) cairo $(CAIROVER) freetype2"`
GTK   = /usr/local/lib
EXPAT= /usr/lib/libexpat.a
XINERAMA = /usr/X11R6/lib/libXinerama.a
PNG = /usr/lib/libpng.a
PIXMAN = /usr/lib/libpixman.a
SLIBS = $(GTK)/libgtk-x11-2.0.a \
	$(GTK)/libgdk-x11-2.0.a $(GTK)/libgdk_pixbuf-2.0.a \
	$(GTK)/libpangocairo-1.0.a $(GTK)/libpangoft2-1.0.a \
	$(GTK)/libpangox-1.0.a $(GTK)/libpangoxft-1.0.a \
	$(GTK)/libpango-1.0.a $(GTK)/libcairo.a \
	$(GTK)/libatk-1.0.a $(GTK)/libgmodule-2.0.a \
	$(GTK)/libgobject-2.0.a $(GTK)/libglib-2.0.a \
	-lpthread $(EXPAT) -lfreetype -lz -lm -lc \
	-lXext -lXrandr $(XINERAMA) -lXcursor -lX11 $(PIXMAN)\
	-lXft $(PNG)

all:    
	pkg-config --cflags "gtk+-2.0 $(GTKVER) cairo $(CAIROVER) freetype2" 1>/dev/null
	$(MAKE) target CFLAGS='-O2 -ffast-math $(GCF) $(ADD_DEF)'
	$(STRIP) $(TARGET)

static:    
	pkg-config --cflags "gtk+-2.0 $(GTKVER) cairo $(CAIROVER) freetype2" 1>/dev/null
	$(MAKE) static-target CFLAGS='-O2 -ffast-math $(GCF) $(ADD_DEF)'	
#	$(STRIP) $(TARGET)

debug:
	pkg-config --cflags "gtk+-2.0 $(GTKVER) cairo $(CAIROVER) freetype2" 1>/dev/null
	$(MAKE) target CFLAGS='-g -Wall -W -Wno-unused-parameter -D__NO_MATH_INLINES $(GCF) $(ADD_DEF)'

profile:
	pkg-config --cflags "gtk+-2.0 $(GTKVER) cairo $(CAIROVER) freetype2" 1>/dev/null
	$(MAKE) target CFLAGS='-pg -g -O2 -ffast-math $(GCF) $(ADD_DEF)" LIBS="$(LIBS) -lgprof-helper'

clean:
	rm -f $(OBJ) *.d *.d.* gmon.out $(TARGET)

distclean: clean
	rm -f *~

%.d: %.c
	$(CC) -M $(CFLAGS) $< > $@.$$$$; sed 's,\($*\)\.o[ :]*,\1.o $@ : ,g' < $@.$$$$ > $@; rm -f $@.$$$$

ifeq ($(MAKECMDGOALS),target)
include $(SRC:.c=.d)
endif

ifeq ($(MAKECMDGOALS),static-target)
include $(SRC:.c=.d)
endif

target:  $(OBJ) 
	./touch-version
	$(LD) $(OBJ) $(CFLAGS) -o $(TARGET) $(LIBS) $(LDF)

static-target: $(OBJ)
	./touch-version
	$(LD) $(OBJ) $(CFLAGS) -o $(TARGET) $(SLIBS) $(SLDF) 

install: target
	$(INSTALL) -d -m 0755 $(BINDIR)
	$(INSTALL) -m 0755 $(TARGET) $(BINDIR)

## gplanarity 16723

=== debian/changelog ===
gplanarity (16723-1) unstable; urgency=low

  * New upstream release
  * Set Debian Games Team as Maintainer and add myself in Uploaders
    (Closes: #579368)
  * debian/control:
    - Add ${misc:Depends}
    - Update Standards-Version to 3.8.4
    - Add Homepage field
    - Add Vcs-Git and Vcs-Browser fields
  * Set debhelper compatibility level to 7
  * Add debian/source/format: Switch to 3.0 (quilt) format
  * debian/gplanarity.desktop: Remove Encoding key and update Categories
    (Closes: #447475)
  * debian/copyright: Fix copyright-with-old-dh-make-debian-copyright
  * debian/rules: Use dh7
    - Add debian/clean and debian/gplanarity.manpages
    - Build-Depends on debhelper 7.0.50~
  * debian/patches/nls.patch: Added, Fix FTBFS
  * debian/patches/makefile.patch: Added, Fix install directories

 -- Vincent Legout <vincent@legout.info>  Thu, 17 Jun 2010 10:20:56 +0200

gplanarity (11496-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Add missing build dependency on libjasper-dev. Fix FTBFS.
    Thanks to Peter Green for the bug triage. (Closes: #521937)

 -- Stefano Zacchiroli <zack@debian.org>  Tue, 01 Sep 2009 17:24:31 +0200

gplanarity (11496-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Adding libtiff-dev to build-depends as suggested by Cédric Boutillier
    (Closes: #453174)

 -- Alexander Schmehl <tolimar@debian.org>  Thu, 21 Feb 2008 01:42:52 +0100

gplanarity (11496-2) unstable; urgency=low

  * Added desktop file. (Closes: #396040)
  * Only use debhelper commands.

 -- Franz Pletz <fpletz@franz-pletz.org>  Sun, 29 Jul 2007 15:00:59 +0200

gplanarity (11496-1) unstable; urgency=low

  * Initial release. (Closes: #369932)
  * Wrote manpage.

 -- Franz Pletz <fpletz@franz-pletz.org>  Sun, 25 Jun 2006 14:16:49 +0200

=== debian/control ===
Source: gplanarity
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Vincent Legout <vincent@legout.info>
Build-Depends: debhelper (>= 7.0.50~), libgtk2.0-dev, libcairo2-dev, libfreetype6-dev, docbook-to-man, libtiff-dev, libjasper-dev
Standards-Version: 3.8.4
Homepage: http://web.mit.edu/xiphmont/Public/gPlanarity.html
Vcs-Git: git://git.debian.org/git/pkg-games/gplanarity.git
Vcs-Browser: http://git.debian.org/?p=pkg-games/gplanarity.git

Package: gplanarity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: simple puzzle game involving untangling planar graphs
 gPlanarity is a puzzle game with the goal to untangle planar graphs for
 fun and prizes. If you tend to get addicted to cute little math  puzzles,
 this one is a doozy.
 .
 gPlanarity is a super-clone of the flash Planarity game written by John
 Tantalo. The original Planarity ran well in IE and Firefox on other
 platforms, but was slow and liked to lock up or abort under Linux
 browsers.
 .
 gPlanarity implements gameplay identical to the original Planarity but
 adds some UI and game extras around the basic game such as multiple
 board generation algorithms, puzzle boards, complete backing state,
 group select/drag and so on.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	[ -e version.h.orig ] || cp -p version.h version.h.orig
	[ -e  po/cs.po.orig ] || cp -p po/cs.po po/cs.po.orig
	[ -e  po/es_ES.po.orig ] || cp -p po/es_ES.po po/es_ES.po.orig
	[ -e  po/fr_FR.po.orig ] || cp -p po/fr_FR.po po/fr_FR.po.orig
	[ -e  po/gPlanarity.pot.orig ] || cp -p po/gPlanarity.pot \
		po/gPlanarity.pot.orig
	docbook-to-man debian/gplanarity.sgml > gplanarity.6
	dh_auto_configure

override_dh_auto_install:
	dh_auto_install
	mv $(CURDIR)/debian/gplanarity/usr/games/gPlanarity \
		$(CURDIR)/debian/gplanarity/usr/games/gplanarity

override_dh_auto_clean:
	dh_auto_clean
	[ ! -e version.h.orig ] || mv version.h.orig version.h
	[ ! -e po/cs.po.orig ] || mv po/cs.po.orig po/cs.po
	[ ! -e po/es_ES.po.orig ] || mv po/es_ES.po.orig po/es_ES.po
	[ ! -e po/fr_FR.po.orig ] || mv po/fr_FR.po.orig po/fr_FR.po
	[ ! -e po/gPlanarity.pot.orig ] || mv po/gPlanarity.pot.orig \
		po/gPlanarity.pot

get-orig-source:
	svn co http://svn.xiph.org/trunk/planarity/
	rm -rf planarity/.svn planarity/po/.svn
	mv planarity gplanarity-16723
	tar czf gplanarity_16723.orig.tar.gz gplanarity-16723
	rm -rf gplanarity-16723

## gplanarity 17906

=== Makefile ===
# Fuck Automake
# Fuck the horse it rode in on
# and Fuck its little dog Libtool too

TARGET  = gPlanarity
CC      = gcc 
LD      = gcc
export INSTALL = install
PREFIX  = /usr/local
BINDIR  = $(PREFIX)/bin
ETCDIR  = /etc/$(TARGET)
MANDIR  = $(PREFIX)/man

#DISABLE_NLS = true
# White space delimited list of locales you want to support. Defaults to all
# available ones.
#export WANT_LINGUAS := cs

# All subdirs with Makefiles

SUBDIRS = 

# By default, enable NLS
ifeq ($(origin DISABLE_NLS), undefined)
export GT_DOMAIN = $(TARGET)
export GT_DIR = $(PREFIX)/share/locale
ADD_DEF += -DUGT_DOMAIN="$(GT_DOMAIN)" -DUGT_DIR="$(GT_DIR)" -DENABLE_NLS
SUBDIRS += po
endif

SRC  = dialog_finish.c gameboard_logic.c dialog_pause.c gameboard_logic_button.c\
	gameboard.c gameboard_logic_buttonbar.c gameboard_draw_box.c\
	gameboard_logic_mouse.c gameboard_draw_button.c gameboard_logic_push.c\
	gameboard_draw_buttonbar.c graph.c gameboard_draw_curtain.c\
	graph_score.c graph_arrange.c gameboard_draw_edge.c graph_generate.c\
	gameboard_draw_intersection.c graph_generate_mesh1.c gameboard_draw_main.c\
	gameboard_draw_score.c main.c gameboard_draw_selection.c\
	timer.c gameboard_draw_vertex.c levelstate.c dialog_level.c\
	dialog_level_icons.c gameboard_draw_text.c random.c graph_generate_data.c\
	gameboard_logic_fade.c graph_generate_mesh2.c graph_region.c
OBJ  = dialog_finish.o gameboard_logic.o dialog_pause.o gameboard_logic_button.o\
	gameboard.o gameboard_logic_buttonbar.o gameboard_draw_box.o\
	gameboard_logic_mouse.o gameboard_draw_button.o gameboard_logic_push.o\
	gameboard_draw_buttonbar.o graph.o gameboard_draw_curtain.o\
	graph_score.o graph_arrange.o gameboard_draw_edge.o graph_generate.o\
	gameboard_draw_intersection.o graph_generate_mesh1.o gameboard_draw_main.o\
	gameboard_draw_score.o main.o gameboard_draw_selection.o\
	timer.o gameboard_draw_vertex.o levelstate.o dialog_level.o\
	dialog_level_icons.o gameboard_draw_text.o random.o graph_generate_data.o\
	gameboard_logic_fade.o graph_generate_mesh2.o graph_region.o
CAIROVER =  >= 1.0.0
GTKVER   =  >= 2.7.2
GCF  = `pkg-config --cflags "gtk+-2.0 $(GTKVER) cairo $(CAIROVER) freetype2"`
LDF  = `pkg-config --libs "gtk+-2.0 $(GTKVER) cairo $(CAIROVER) freetype2"`

all: all-local all-recursive

all-local:    
	pkg-config --cflags "gtk+-2.0 $(GTKVER) cairo $(CAIROVER) freetype2" 1>/dev/null
	$(MAKE) target CFLAGS='-O2 -ffast-math $(GCF) $(ADD_DEF)'

all-recursive:
	for D in $(SUBDIRS); do make -C $$D || exit 1; done

debug:
	pkg-config --cflags "gtk+-2.0 $(GTKVER) cairo $(CAIROVER) freetype2" 1>/dev/null
	$(MAKE) target CFLAGS='-g -Wall -W -Wno-unused-parameter -D__NO_MATH_INLINES $(GCF) $(ADD_DEF)'

profile:
	pkg-config --cflags "gtk+-2.0 $(GTKVER) cairo $(CAIROVER) freetype2" 1>/dev/null
	$(MAKE) target CFLAGS='-pg -g -O2 -ffast-math $(GCF) $(ADD_DEF)" LIBS="$(LIBS) -lgprof-helper'

clean: clean-local clean-recursive

clean-local:
	rm -f $(OBJ) *.d *.d.* gmon.out $(TARGET)

clean-recursive:
	for D in $(SUBDIRS); do make -C $$D clean || exit 1; done


distclean: clean
	rm -f *~

%.d: %.c
	$(CC) -M $(CFLAGS) $< > $@.$$$$; sed 's,\($*\)\.o[ :]*,\1.o $@ : ,g' < $@.$$$$ > $@; rm -f $@.$$$$

ifeq ($(MAKECMDGOALS),target)
include $(SRC:.c=.d)
endif

target:  $(OBJ) 
	./touch-version
	$(LD) $(OBJ) $(CFLAGS) -o $(TARGET) $(LIBS) $(LDF)

install: install-local install-recursive

install-local: target
	$(INSTALL) -d -m 0755 $(BINDIR)
	$(INSTALL) -m 0755 $(TARGET) $(BINDIR)

install-recursive:
	for D in $(SUBDIRS); do make -C $$D install || exit 1; done

=== po/Makefile ===
#GT_DOMAIN:=gPlanarity
SRC=../*.c
ifeq ($(origin WANT_LINGUAS), undefined)
PO=$(wildcard *.po)
else
PO=$(addsuffix .po,$(WANT_LINGUAS))
endif
GMO=$(PO:.po=.gmo)

HEADER=--msgid-bugs-address="Monty <monty@xiph.org>"

all: $(GT_DOMAIN).pot $(GMO)

$(GT_DOMAIN).pot: $(SRC)
	xgettext --strict $(HEADER) -d $(GT_DOMAIN) -o /dev/stdout \
		-L C  --keyword=_ $(SRC) | sed -f header.sed >$@

%.gmo: %.po $(GT_DOMAIN).pot
	msgmerge -o$<n $< $(GT_DOMAIN).pot
	mv $<n $<
	msgfmt --statistics --check --strict -o $@ $<

clean:
	rm -f $(GMO) *.pon

install:
	for F in $(GMO); do \
		export LL=`echo $$F|sed 's/\.gmo//'` ;\
		$(INSTALL) -m 0644 -D "$$F" "$(GT_DIR)/$${LL}/LC_MESSAGES/$(GT_DOMAIN).mo" ;\
	done

=== debian/changelog ===
gplanarity (17906-6) unstable; urgency=medium

  * Remove Build-Depends on libjasper-dev (Closes: #818215)
  * Switch VCS fields to https

 -- Vincent Legout <vlegout@debian.org>  Wed, 16 Mar 2016 18:37:37 -0400

gplanarity (17906-5) unstable; urgency=low

  * Add icon in menu file (Closes: #726359)
    - Build-Depends on imagemagick to generate the xpm file

 -- Vincent Legout <vlegout@debian.org>  Sun, 20 Oct 2013 08:48:07 +0200

gplanarity (17906-4) unstable; urgency=low

  * debian/patches/fix_makefile_flags.patch: Updated, pass -lm to fix FTBFS
    (Closes: #713486)
  * debian/control:
    - Use canonical URI in VCS fields
    - Standards-Version 3.9.4 (No changes needed)

 -- Vincent Legout <vlegout@debian.org>  Sun, 23 Jun 2013 11:17:35 +0200

gplanarity (17906-3) unstable; urgency=low

  * debian/patches/fontconfig.patch: Fix crash with current fontconfig
    (Closes: #673968)

 -- Vincent Legout <vlegout@debian.org>  Fri, 25 May 2012 11:09:57 +0200

gplanarity (17906-2) unstable; urgency=low

  * Update my email address
  * Remove the DM-Upload-Allowed field
  * debian/rules: Enable all hardening flags
  * Use debhelper 9 (debian/compat, debhelper Build-Depends)
  * fix_makefile_flags.patch: Added, fix how CFLAGS and LDFLAGS and handled
  * Standards-Version 3.9.3 (No changes needed)

 -- Vincent Legout <vlegout@debian.org>  Sat, 24 Mar 2012 18:22:05 +0100

gplanarity (17906-1) unstable; urgency=low

  * New upstream release
    - Drop fix_blank_window.patch, fixed upstream
  * debian/rules:
    - clean new po files updated during build time
    - get-orig-source: Use svn export instead of svn checkout
  * gplanarity.desktop: Value for key "Icon" should not have an extension
  * Add DM-Upload-Allowed: yes
  * Bump Standards-Version to 3.9.2 (No changes needed)

 -- Vincent Legout <vincent@legout.info>  Mon, 25 Apr 2011 20:46:50 +0200

gplanarity (16723-3) unstable; urgency=low

  * Upload to unstable
  * Switch to debhelper 8

 -- Vincent Legout <vincent@legout.info>  Tue, 15 Mar 2011 19:18:25 +0100

gplanarity (16723-2) experimental; urgency=low

  * debian/patches/fix_blank_window.patch: Added.
    (Closes: #553500, LP: #428373)
  * Bump Standards-Version to 3.9.1 (No changes needed)
  * Remove debian/dirs

 -- Vincent Legout <vincent@legout.info>  Sat, 04 Dec 2010 20:54:28 +0100

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: games
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Vincent Legout <vincent@legout.info>
-Build-Depends: debhelper (>= 7.0.50~), libgtk2.0-dev, libcairo2-dev, libfreetype6-dev, docbook-to-man, libtiff-dev, libjasper-dev
-Standards-Version: 3.8.4
+Uploaders: Vincent Legout <vlegout@debian.org>
+Build-Depends: debhelper (>= 9), libgtk2.0-dev, libcairo2-dev, libfreetype6-dev, docbook-to-man, libtiff-dev, imagemagick
+Standards-Version: 3.9.4
 Homepage: http://web.mit.edu/xiphmont/Public/gPlanarity.html
-Vcs-Git: git://git.debian.org/git/pkg-games/gplanarity.git
-Vcs-Browser: http://git.debian.org/?p=pkg-games/gplanarity.git
+Vcs-Git: https://alioth.debian.org/anonscm/git/pkg-games/gplanarity.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/gplanarity.git
 
 Package: gplanarity
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	[ -e version.h.orig ] || cp -p version.h version.h.orig
	[ -e  po/ca.po.orig ] || cp -p po/ca.po po/ca.po.orig
	[ -e  po/cs.po.orig ] || cp -p po/cs.po po/cs.po.orig
	[ -e  po/de.po.orig ] || cp -p po/de.po po/de.po.orig
	[ -e  po/es_ES.po.orig ] || cp -p po/es_ES.po po/es_ES.po.orig
	[ -e  po/fr_FR.po.orig ] || cp -p po/fr_FR.po po/fr_FR.po.orig
	[ -e  po/gPlanarity.pot.orig ] || cp -p po/gPlanarity.pot \
		po/gPlanarity.pot.orig
	docbook-to-man debian/gplanarity.sgml > gplanarity.6
	convert -monitor -resize 32x32 gPicon.png gplanarity.xpm
	dh_auto_configure

override_dh_auto_install:
	dh_auto_install
	mv $(CURDIR)/debian/gplanarity/usr/games/gPlanarity \
		$(CURDIR)/debian/gplanarity/usr/games/gplanarity

override_dh_auto_clean:
	dh_auto_clean
	[ ! -e version.h.orig ] || mv version.h.orig version.h
	[ ! -e po/ca.po.orig ] || mv po/ca.po.orig po/ca.po
	[ ! -e po/cs.po.orig ] || mv po/cs.po.orig po/cs.po
	[ ! -e po/de.po.orig ] || mv po/de.po.orig po/de.po
	[ ! -e po/es_ES.po.orig ] || mv po/es_ES.po.orig po/es_ES.po
	[ ! -e po/fr_FR.po.orig ] || mv po/fr_FR.po.orig po/fr_FR.po
	[ ! -e po/gPlanarity.pot.orig ] || mv po/gPlanarity.pot.orig \
		po/gPlanarity.pot

version=17906

get-orig-source:
	svn export -r $(version) http://svn.xiph.org/trunk/planarity/ gplanarity-$(version)
	tar czf gplanarity_$(version).orig.tar.gz gplanarity-$(version)
	rm -rf gplanarity-$(version)

## gplanarity 17906+fork202521211

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # and Fuck its little dog Libtool too
 
 TARGET  = gPlanarity
-CC      = gcc 
+CC      = gcc
 LD      = gcc
 export INSTALL = install
 PREFIX  = /usr/local
@@ -18,7 +18,7 @@
 
 # All subdirs with Makefiles
 
-SUBDIRS = 
+SUBDIRS =
 
 # By default, enable NLS
 ifeq ($(origin DISABLE_NLS), undefined)
@@ -49,26 +49,26 @@
 	dialog_level_icons.o gameboard_draw_text.o random.o graph_generate_data.o\
 	gameboard_logic_fade.o graph_generate_mesh2.o graph_region.o
 CAIROVER =  >= 1.0.0
-GTKVER   =  >= 2.7.2
-GCF  = `pkg-config --cflags "gtk+-2.0 $(GTKVER) cairo $(CAIROVER) freetype2"`
-LDF  = `pkg-config --libs "gtk+-2.0 $(GTKVER) cairo $(CAIROVER) freetype2"`
+GTKVER   =  >= 3.24.0
+GCF  = `pkg-config --cflags "gtk+-3.0 $(GTKVER) cairo $(CAIROVER) freetype2 fontconfig"`
+LDF  = `pkg-config --libs "gtk+-3.0 $(GTKVER) cairo $(CAIROVER) freetype2 fontconfig"`
 
 all: all-local all-recursive
 
-all-local:    
-	pkg-config --cflags "gtk+-2.0 $(GTKVER) cairo $(CAIROVER) freetype2" 1>/dev/null
+all-local:
+	pkg-config --cflags "gtk+-3.0 $(GTKVER) cairo $(CAIROVER) freetype2 fontconfig" 1>/dev/null
 	$(MAKE) target CFLAGS='-O2 -ffast-math $(GCF) $(ADD_DEF)'
 
 all-recursive:
 	for D in $(SUBDIRS); do make -C $$D || exit 1; done
 
 debug:
-	pkg-config --cflags "gtk+-2.0 $(GTKVER) cairo $(CAIROVER) freetype2" 1>/dev/null
-	$(MAKE) target CFLAGS='-g -Wall -W -Wno-unused-parameter -D__NO_MATH_INLINES $(GCF) $(ADD_DEF)'
+	pkg-config --cflags "gtk+-3.0 $(GTKVER) cairo $(CAIROVER) freetype2 fontconfig" 1>/dev/null
+	$(MAKE) target CFLAGS='-g -Wall -W -Wno-unused-parameter -D__NO_MATH_INLINES $(GCF) $(ADD_DEF) $(CLFAGS)'
 
 profile:
-	pkg-config --cflags "gtk+-2.0 $(GTKVER) cairo $(CAIROVER) freetype2" 1>/dev/null
-	$(MAKE) target CFLAGS='-pg -g -O2 -ffast-math $(GCF) $(ADD_DEF)" LIBS="$(LIBS) -lgprof-helper'
+	pkg-config --cflags "gtk+-3.0 $(GTKVER) cairo $(CAIROVER) freetype2 fontconfig" 1>/dev/null
+	$(MAKE) target CFLAGS='-pg -g -O2 -ffast-math $(GCF) $(ADD_DEF) $(CFLAGS)'
 
 clean: clean-local clean-recursive
 
@@ -89,9 +89,9 @@
 include $(SRC:.c=.d)
 endif
 
-target:  $(OBJ) 
+target:  $(OBJ)
 	./touch-version
-	$(LD) $(OBJ) $(CFLAGS) -o $(TARGET) $(LIBS) $(LDF)
+	$(LD) $(OBJ) $(CFLAGS) -o $(TARGET) $(LIBS) -lm $(LDF)
 
 install: install-local install-recursive

=== debian/changelog ===
gplanarity (17906+fork202521211-2) unstable; urgency=medium

  * Team upload.
  * Do not attempt to install removed .xpm icon

 -- Alexandre Detiste <tchet@debian.org>  Thu, 11 Dec 2025 20:16:26 +0100

gplanarity (17906+fork202521211-1) unstable; urgency=medium

  * Team upload.
  * Switch to fork at https://gitlab.com/twied/gplanarity
  * Port to GTK-3 (Closes: #967452)
  * Drop old Debian menu entry

 -- Alexandre Detiste <tchet@debian.org>  Thu, 11 Dec 2025 19:47:18 +0100

gplanarity (17906-8) UNRELEASED; urgency=medium

  * Use secure URI in Homepage field.
  * Bump debhelper from old 11 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Update standards version to 4.1.5, no changes needed.

 -- Debian Janitor <janitor@jelmer.uk>  Thu, 03 Nov 2022 02:34:38 -0000

gplanarity (17906-7) unstable; urgency=medium

  * patches/cross.patch: fix cross build, patch from Helmut Grohne
    (Closes: #901691)
  * Standards-Version 4.1.4
  * Set VCS fields to salsa
  * Set debhelper compat to 11

 -- Vincent Legout <vlegout@debian.org>  Sun, 17 Jun 2018 08:59:51 +0200

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,25 @@
 Section: games
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Vincent Legout <vlegout@debian.org>
-Build-Depends: debhelper (>= 9), libgtk2.0-dev, libcairo2-dev, libfreetype6-dev, docbook-to-man, libtiff-dev, imagemagick
-Standards-Version: 3.9.4
-Homepage: http://web.mit.edu/xiphmont/Public/gPlanarity.html
-Vcs-Git: https://alioth.debian.org/anonscm/git/pkg-games/gplanarity.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/gplanarity.git
+Uploaders:
+ Vincent Legout <vlegout@debian.org>,
+Build-Depends:
+ debhelper-compat (= 13),
+ docbook-to-man,
+ libcairo2-dev,
+ libfreetype-dev,
+ libgtk-3-dev,
+ libtiff-dev,
+Standards-Version: 4.7.2
+Homepage: https://web.mit.edu/xiphmont/Public/gPlanarity.html
+Vcs-Git: https://salsa.debian.org/games-team/gplanarity.git
+Vcs-Browser: https://salsa.debian.org/games-team/gplanarity
 
 Package: gplanarity
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: simple puzzle game involving untangling planar graphs
  gPlanarity is a puzzle game with the goal to untangle planar graphs for
  fun and prizes. If you tend to get addicted to cute little math  puzzles,

=== debian/rules ===
--- 
+++ 
@@ -15,16 +15,13 @@
 	[ -e  po/gPlanarity.pot.orig ] || cp -p po/gPlanarity.pot \
 		po/gPlanarity.pot.orig
 	docbook-to-man debian/gplanarity.sgml > gplanarity.6
-	convert -monitor -resize 32x32 gPicon.png gplanarity.xpm
 	dh_auto_configure
 
-override_dh_auto_install:
-	dh_auto_install
+execute_after_dh_auto_install:
 	mv $(CURDIR)/debian/gplanarity/usr/games/gPlanarity \
 		$(CURDIR)/debian/gplanarity/usr/games/gplanarity
 
-override_dh_auto_clean:
-	dh_auto_clean
+execute_after_dh_auto_clean:
 	[ ! -e version.h.orig ] || mv version.h.orig version.h
 	[ ! -e po/ca.po.orig ] || mv po/ca.po.orig po/ca.po
 	[ ! -e po/cs.po.orig ] || mv po/cs.po.orig po/cs.po
@@ -33,10 +30,3 @@
 	[ ! -e po/fr_FR.po.orig ] || mv po/fr_FR.po.orig po/fr_FR.po
 	[ ! -e po/gPlanarity.pot.orig ] || mv po/gPlanarity.pot.orig \
 		po/gPlanarity.pot
-
-version=17906
-
-get-orig-source:
-	svn export -r $(version) http://svn.xiph.org/trunk/planarity/ gplanarity-$(version)
-	tar czf gplanarity_$(version).orig.tar.gz gplanarity-$(version)
-	rm -rf gplanarity-$(version)
